PU broke with 1.0.6